Problem cutting cylindrical pores out of a larger cylinder using python code in freeCad

58 views Asked by At
for pore in pore_list:
    cut = App.ActiveDocument.addObject("Part::Cut", "Cut_" + pore.Name)
    cut.Base = cylinder
    cut.Tool = pore

I'm using this simple code to cut the pore objects out of the cylinder, but instead of cutting the pore objects out it is cutting out the entire cylinder and leaving the pores.

Also pore is defined as the pore object. cylinder is defined as the larger cylinder object

I tried switching the cut.base = cylinder to cut.base = pore and the cut.tool = pore to
cut.tool = cylinder I assumed if I switched the thing that was being cut it would solve the problem but it didn't. the same exact thing happened when I ran that code. I appreciate any help I can get.

0

There are 0 answers